import parseArgs from 'minimist';
import { tryResolveFilePaths } from './util.js';
export const resolve = (binary, args, { cwd, fromArgs }) => {
    const safeArgs = args.filter(arg => arg !== '--watch');
    const parsed = parseArgs(safeArgs, { alias: { plugin: 'p' } });
    const watchers = parsed.watch ? fromArgs(Object.values(parsed.watch)) : [];
    const plugins = parsed.plugin ? tryResolveFilePaths(cwd, [parsed.plugin].flat()) : [];
    const configPlugins = parsed.configPlugin ? tryResolveFilePaths(cwd, [parsed.configPlugin].flat()) : [];
    return [binary, ...watchers, ...plugins, ...configPlugins];
};
