import { timerify } from '../../util/Performance.js';
import { hasDependency, load } from '../../util/plugin.js';
export const NAME = 'PostCSS';
export const ENABLERS = ['postcss'];
export const isEnabled = ({ dependencies }) => hasDependency(dependencies, ENABLERS);
export const CONFIG_FILE_PATTERNS = ['postcss.config.js', 'package.json'];
const findPostCSSDependencies = async (configFilePath, { manifest }) => {
    const config = configFilePath.endsWith('package.json')
        ? manifest?.postcss
        : await load(configFilePath);
    return config?.plugins
        ? (Array.isArray(config.plugins) ? config.plugins : Object.keys(config.plugins)).filter(plugin => typeof plugin === 'string')
        : [];
};
export const findDependencies = timerify(findPostCSSDependencies);
