import path from 'node:path';
export const toPosix = (value) => value.split(path.sep).join(path.posix.sep);
export const cwd = toPosix(process.cwd());
export const resolve = (...paths) => paths.length === 1 ? path.posix.join(cwd, paths[0]) : path.posix.resolve(...paths);
export const relative = (from, to) => path.posix.relative(to ? toPosix(from) : cwd, toPosix(to ?? from));
export const isAbsolute = (value) => value.startsWith('/') || /^[A-Z]:(\/|\\)/.test(value);
export const isInNodeModules = (filePath) => filePath.includes('node_modules');
export const join = path.posix.join;
export const extname = path.posix.extname;
export const dirname = path.posix.dirname;
export const isInternal = (id) => (id.startsWith('.') || isAbsolute(id)) && !isInNodeModules(id);
